# NCN Packages

The management nodes boot from images which have many (rpm) packages installed. Lists of the packages for
these images are generated on running nodes. A list of images can be collected by running a zypper
command on one of the storage, worker, or master nodes.

## Kubernetes Images

The Kubernetes image is used to boot the master nodes and worker nodes.

### Collection 

```bash
ncn-w002# zypper --disable-repositories se --installed-only | grep i+ | tr -d '|' | awk '{print $2}'
```

### The List

- SLE_HPC
- SLE_HPC-release
- acpid
- apparmor-profiles
- arptables
- at
- autoyast2
- autoyast2-installation
- base
- bc
- bind-utils
- biosdevname
- ceph-common
- cfs-state-reporter
- cloud-init
- conntrack-tools
- cpupower
- crash
- cray-cos-release
- cray-cps-utils
- cray-dvs-kmp-default
- cray-dvs-service
- cray-heartbeat
- cray-lustre-client
- cray-lustre-client-devel
- cray-lustre-client-kmp-default
- cray-network-config
- cray-node-identity
- cray-orca
- cray-power-button
- cray-sat-podman
- craycli-wrapper
- createrepo_c
- dnsmasq
- dosfstools
- dracut-kiwi-live
- dracut-metal-mdsquash
- dump
- e2fsprogs
- ebtables
- emacs
- ethtool
- expect
- fping
- gdb
- genders
- git-core
- glibc
- gnuplot
- gperftools
- gptfdisk
- grub2
- haproxy
- hpe-csm-scripts
- hplip
- ipmitool
- iproute2-bash-completion
- ipset
- ipvsadm
- irqbalance
- java-1_8_0-ibm
- java-1_8_0-ibm-plugin
- kdump
- kdumpid
- keepalived
- kernel-mft-mlnx-kmp-default
- kernel-source
- kernel-syms
- kexec-tools
- kmod-bash-completion
- kubeadm
- kubectl
- kubelet
- less
- libcanberra-gtk0
- libecpg6
- libpq5
- libunwind-devel
- ltrace
- lvm2
- man
- mariadb
- mariadb-tools
- mdadm
- minicom
- mlocate
- nmap
- numactl
- open-lldp
- patterns-base-base
- pdsh
- perf
- perl-MailTools
- perl-doc
- pixz
- podman
- podman-cni-config
- postgresql
- postgresql-contrib
- postgresql-docs
- postgresql-server
- python
- python-urlgrabber
- python3-Jinja2
- python3-MarkupSafe
- python3-click
- python3-colorama
- python3-curses
- python3-ipaddr
- python3-lxml
- python3-netaddr
- python3-pexpect
- python3-pip
- python3-rpm
- python3-sip
- rarpd
- rasdaemon
- rsync
- rsyslog
- rzsz
- screen
- slingshot-network-config
- smartmontools
- socat
- spire-agent
- squashfs
- squid
- strace
- sudo
- sysstat
- systemtap
- tar
- tcpdump
- unixODBC
- usbutils
- vim
- wget
- wireshark
- xfsdump
- yast2-add-on
- yast2-bootloader
- yast2-country
- yast2-network
- yast2-services-manager
- yast2-users
- yum-metadata-parser
- zip

## CEPH

The Ceph image is used to boot the utility storage nodes.

### Collection

```bash
ncn-s002# zypper --disable-repositories se --installed-only | grep i+ | tr -d '|' | awk '{print $2}'
```

### The List

- SLE_HPC
- SLE_HPC-release
- acpid
- apparmor-profiles
- arptables
- at
- autoyast2
- autoyast2-installation
- base
- bc
- bind-utils
- biosdevname
- ceph-mds
- ceph-mgr
- ceph-mon
- ceph-osd
- ceph-radosgw
- cfs-state-reporter
- cloud-init
- cpupower
- crash
- cray-cos-release
- cray-dvs-kmp-default
- cray-dvs-service
- cray-heartbeat
- cray-lustre-client
- cray-lustre-client-devel
- cray-lustre-client-kmp-default
- cray-network-config
- cray-node-identity
- cray-power-button
- craycli-wrapper
- createrepo_c
- dnsmasq
- dosfstools
- dracut-kiwi-live
- dracut-metal-mdsquash
- dump
- e2fsprogs
- ebtables
- emacs
- ethtool
- expect
- fping
- gdb
- genders
- git-core
- glibc
- gnuplot
- gperftools
- gptfdisk
- grub2
- haproxy
- hpe-csm-scripts
- hplip
- ipmitool
- iproute2-bash-completion
- ipset
- irqbalance
- java-1_8_0-ibm
- java-1_8_0-ibm-plugin
- kdump
- kdumpid
- keepalived
- kernel-mft-mlnx-kmp-default
- kernel-source
- kernel-syms
- kexec-tools
- kmod-bash-completion
- kubectl
- less
- libcanberra-gtk0
- libecpg6
- libpq5
- libunwind-devel
- ltrace
- lvm2
- man
- mariadb
- mariadb-tools
- mdadm
- minicom
- mlocate
- netcat-openbsd
- nmap
- numactl
- open-lldp
- patterns-base-base
- pdsh
- perf
- perl-MailTools
- perl-doc
- pixz
- podman
- podman-cni-config
- postgresql
- postgresql-contrib
- postgresql-docs
- postgresql-server
- python
- python-urlgrabber
- python3-Jinja2
- python3-MarkupSafe
- python3-boto3
- python3-click
- python3-colorama
- python3-curses
- python3-ipaddr
- python3-lxml
- python3-netaddr
- python3-pexpect
- python3-pip
- python3-rpm
- python3-sip
- rarpd
- rasdaemon
- rsync
- rsyslog
- rzsz
- screen
- slingshot-network-config
- smartmontools
- socat
- spire-agent
- squashfs
- squid
- strace
- sudo
- sysstat
- systemtap
- tar
- tcpdump
- unixODBC
- usbutils
- vim
- wget
- wireshark
- xfsdump
- yast2-add-on
- yast2-bootloader
- yast2-country
- yast2-network
- yast2-services-manager
- yast2-users
- yum-metadata-parser
- zip
